Cluster Versions - List
지정된 위치에 사용할 수 있는 Service Fabric 클러스터 코드 버전 목록을 가져옵니다.
위치별로 Service Fabric 클러스터 리소스에 사용 가능한 모든 코드 버전을 가져옵니다.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.ServiceFabric/locations/{location}/clusterVersions?api-version=2023-11-01-preview
URI 매개 변수
| Name | In(다음 안에) | 필수 | 형식 | Description |
|---|---|---|---|---|
|
location
|
path | True |
string minLength: 1 |
Azure 지역의 이름입니다. |
|
subscription
|
path | True |
string minLength: 1 |
대상 구독의 ID입니다. |
|
api-version
|
query | True |
string minLength: 1 |
이 작업에 사용할 API 버전입니다. |
응답
| Name | 형식 | Description |
|---|---|---|
| 200 OK |
요청이 성공했습니다. |
|
| Other Status Codes |
예기치 않은 오류 응답입니다. |
보안
azure_auth
Azure Active Directory OAuth2 흐름.
형식:
oauth2
Flow:
implicit
권한 부여 URL:
https://login.microsoftonline.com/common/oauth2/authorize
범위
| Name | Description |
|---|---|
| user_impersonation | 사용자 계정 가장 |
예제
List cluster versions
샘플 요청
샘플 응답
{
"value": [
{
"name": "6.1.480.9494",
"type": "Microsoft.ServiceFabric/locations/environments/clusterVersions",
"id": "subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.ServiceFabric/locations/eastus/environments/Windows/clusterVersions/6.1.480.9494",
"properties": {
"codeVersion": "6.1.480.9494",
"environment": "Windows",
"supportExpiryUtc": "2018-06-15T23:59:59.9999999"
}
},
{
"name": "6.1.187.1",
"type": "Microsoft.ServiceFabric/locations/environments/clusterVersions",
"id": "subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.ServiceFabric/locations/eastus/environments/Linux/clusterVersions/6.1.187.1",
"properties": {
"codeVersion": "6.1.187.1",
"environment": "Linux",
"supportExpiryUtc": "2018-06-15T23:59:59.9999999"
}
}
]
}
정의
| Name | Description |
|---|---|
|
Cluster |
ClusterCodeVersions 리스트 연산의 응답. |
|
Cluster |
Service Fabric 런타임 버전의 결과 |
|
Cluster |
클러스터 운영 체제, 기본값은 Windows |
|
Error |
오류의 구조. |
|
Error |
오류 세부 정보입니다. |
ClusterCodeVersionsListResult
ClusterCodeVersions 리스트 연산의 응답.
| Name | 형식 | Description |
|---|---|---|
| nextLink |
string (uri) |
항목의 다음 페이지에 대한 링크 |
| value |
이 페이지의 ClusterCodeVersions 항목들 |
ClusterCodeVersionsResult
Service Fabric 런타임 버전의 결과
| Name | 형식 | Description |
|---|---|---|
| id |
string |
결과의 식별 |
| name |
string |
결과의 이름 |
| properties.codeVersion |
string |
클러스터의 Service Fabric 런타임 버전입니다. |
| properties.environment |
이 버전이 Windows 또는 Linux 운영 체제용인지 여부를 나타냅니다. |
|
| properties.supportExpiryUtc |
string |
버전 지원 만료 날짜입니다. |
| type |
string |
결과 리소스 유형 |
ClusterEnvironment
클러스터 운영 체제, 기본값은 Windows
| 값 | Description |
|---|---|
| Windows |
Windows 운영 체제 |
| Linux |
Linux 운영 체제 |
ErrorModel
오류의 구조.
| Name | 형식 | Description |
|---|---|---|
| error |
오류 세부 정보입니다. |
ErrorModelError
오류 세부 정보입니다.
| Name | 형식 | Description |
|---|---|---|
| code |
string |
오류 코드입니다. |
| message |
string |
오류 메시지입니다. |